%define upstream_name    Test-TCP
%define upstream_version 2.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Testing TCP program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Module::Build) >= 0.38
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::SharedFork) >= 0.190.0
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
Test::TCP is test utilities for TCP/IP programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.10.0-2.mga4
+ Revision: 537465
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 2.10.0-1.mga4
+ Revision: 487072
- update to 2.01

* Wed Jun 19 2013 shlomif <shlomif> 2.0.0-1.mga4
+ Revision: 445068
- New version 2.0

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 373820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.180.0-1.mga3
+ Revision: 315881
- update to 1.18

* Fri Aug 31 2012 kharec <kharec> 1.170.0-1.mga3
+ Revision: 286548
- update to 1.17

* Wed Jul 04 2012 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 267513
- update to 1.16

* Thu Feb 23 2012 jquelin <jquelin> 1.150.0-1.mga2
+ Revision: 213233
- update to 1.15

* Thu Dec 01 2011 kharec <kharec> 1.140.0-1.mga2
+ Revision: 174782
- update to 1.14

* Mon Jun 20 2011 jquelin <jquelin> 1.130.0-1.mga2
+ Revision: 110598
- imported package perl-Test-TCP


* Mon Jun 20 2011 cpan2dist 1.13-1mga
- initial mageia release, generated with cpan2dist
